
Internal Tools - Bug #19740

Task # 19676 (New): 通話定額オプション設定ツール

Bug # 19671 (Resolved):  Issues on 通話定額オプション設定ツール

[QA] 翌月1日のみ適用指定できるオプションでも即日適用する。

07/18/2023 04:19 AM - Takeshi Sasamori

Status: Closed % Done: 100%

Priority: Normal Spent time: 0.00 hour

Assignee: Seongmin Choi   

Type:  バグ要因:  

Description

□テストデータ

19048   HISポータルテスト用アカウント  P   histest_user01  secret

08080362504 NT-ECDVC-2

かけ放題→70分無料

□テスト手順

1.http://223.25.162.146/fm/reports/files/Bulk-CallOptionChange/にファイル配置

かけ放題適用中→70分無料

配置ファイル

02_QA_OptionChange01_20230718.txt

20619,16,2023/07/18

08080362504

2.ファイル取り込みバッチ実行

dev-viweb01

sudo /opt/Alternatives/report-server/opt/shells/AutoOrders/FM_MSP_BATCH_COMMAND.sh

□障害内容

・かけ放題オプション適用中であり他のオプションへの変更は翌月1日のみ許容するはずだが即日適用される。

□期待値

・オプション適用可能日のルールに則てオプション適用されること。

・投入ファイルに不適切なrequestDateが設定された場合はエラーではじくこと。

※投入ファイルにはrequestDateを記載するが特定の日付を指定するのではなく即日（IMMEDIATELY）か翌月（BILLINGMONTHLY）かで指定するほうが適切に思われる。仕様を理解し営

業サイド等での適切な運用が難しいと想像する。

History

#1 - 07/18/2023 05:27 AM - Takeshi Sasamori

- Description updated

#2 - 07/19/2023 01:46 AM - Seongmin Choi

- Status changed from New to Resolved

投入ファイルにはrequestDateを記載する代わりにBillingMonthlyかのフラグを指定するように変更しました。

投入ファイルの形は下になります。

Partner_id,option_id,is_billingmonthly

Phone_number

ex)

20619,16,t

08080362504

is_billingmonthlyにt、T、true、TRUEを指定した場合は翌月、以外は即日になります。

ご確認をお願いします。
http://223.25.162.146/fm/reports/files/Bulk-CallOptionChange/%E3%81%AB%E3%83%95%E3%82%A1%E3%82%A4%E3%83%AB%E9%85%8D%E7%BD%AE


#3 - 07/21/2023 09:33 AM - Takeshi Sasamori

- Status changed from Resolved to In Progress

is_billingmonthlyにtを設定したところ、翌月1日の変更になることを確認しましたが問題は解消されていません。

試験回線

09030905195　NT-ECDVC-2（かけほOP適用中）

かけほオプション適用中の回線では他の定額オプションに変更したりオプションを解除する場合は即日適用はできない仕様です。

しかしながら、以下のように翌月指定を行わないと即時適用してしまいます。

20619,16,

09030905195

何らかの定額オプションが適用中の回線の場合、ポータルでの申込時と同じ挙動とし翌月指定を行わないと取込時にエラーではじくようにしてください。

#4 - 07/28/2023 01:07 AM - Daisuke Tajima

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

社内ツール利用(利用者がシステム側に限定される)のため、

入力値のバリデーションは実施しない仕様とする。

本チケットをクローズします。
